Question about i4 on 4.1 to 5.0.1

Discussion in 'Jailbreaks and iOS Hacks' started by soulvoid, Nov 27, 2011.

  1. soulvoid macrumors member

    Joined:
    Sep 5, 2007
    #1
    I have a i4 att running iOS 4.1 with a 1.59.00 baseband. I would like to run an iOS 5 variant but guess I missed the window to upgrade to 5.0 and now 5.0.1 is my only option at the moment. I would also like to retain my baseband as it's the only i4 gsm unlock able baseband as I understand.


    Since I missed the window to get 5.0 before apple stopped signing, I will assume that I can Never get to 5.0 only 5.x.x +. correct me if I'm wrong.

    Preserving the baseband I would think increase the resale value of the i4 but for me its just nice to know I can unlock if I wanted to.

    I'd also not like to jump into a 5.0.1 os and not be able to untethered jailbreak in the future. But as it stands now 5.0 is out of the question and 5.0.1 is the only choice I have now.

    Do you think since apple did away with Shsh blobs and/or the way they are used it will ever be possible to get on 5.0?

    For example, I upgrade to 5.0.1 and next week dev team or whoever finds a way to update to 5.0 without apple signing the install and oh by the way, we found an untheathered jailbreak for 5.0 only, and the kicker is no possible way to downgrade to 5.0 from 5.0.1+

    I guess I just want to keep my options open without locking myself into anything.

    Any insight would be helpful, I can only assume waiting to see what happens with the dev team and see what they gather from the crash log data pooling effort turns up.

    Thanks again,

    Tyler
     
  2. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #2
    Open Cydia on your phone and see what SHSH blobs save you have there. I am surprised if if it doesn't have any SHSH blobs save. Whoever jailbreaks your phone, upgrade it to 4.1 while preserve its baseband has lot of knowledge about jailbreaking, he/she might already saves blobs for this phone.

    If SHSH blobs for this phone is available, then you can cook a customs fw for one of that fw while preserving its baseband and upgrade to it. You will be able to keep your 01.59 baseband.
     
  3. Dwalls90 macrumors 601

    Dwalls90

    Joined:
    Feb 5, 2009
    #3
    Correct, you're stuck with 5.0.1. As of now for i4 users, there is no benefit to being on 5.0.0 rather than 5.0.1, so don't fret yet. 5.0.0 will NEVER be able to be installed on that phone, so get over that, but again don't worry about it.

    The dev team is working on a blob system for iOS 5, but even still, without blobs saved for an iOS version, you can never go to 5.0.0.

    You can upgrade to 5.0.1 and preserve your baseband and unlock using sn0wbreeze, and make sure you have blobs saved for whatever version of 4.x.x you are on now. If you want to revert to 4.x.x, you can do so using blobs.
     
  4. soulvoid thread starter macrumors member

    Joined:
    Sep 5, 2007
    #4

    Good to know, so now I just need to cook up a bootcamp or virtual machine to run windows on my Mac since sn0wbreeze is windows only and redsn0w for Mac hasn't been updated to support custom Ipsw with 5.0.1.

    I have blobs in Cydia for 4.0.1, 4.0.2, ,4.1, 4.2.1, 4.2-b3, 4.3.3, 4.3.4 and 4.3.5. I think I'm covered.
     
  5. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #5
    My recommendation is to cook a customs 4.3.3 firmware, restore to that firmware. You will then can have untethered jailbreak/unlocked iphone 4 with 4.3.3 fw with 01.59 baseband.
     
  6. soulvoid thread starter macrumors member

    Joined:
    Sep 5, 2007
    #6
    I guess my question to that is, what am I gaining from 4.3.3 that I dont have in 4.1? I am stable and happy with 4.1 but like most everyone else I'd like the features of iOS 5.
     

Share This Page